!+ Subroutine to set the parametrization schemes for clouds.                       RAD_ALL.4322  
!                                                                                  RAD_ALL.4323  
! Purpose:                                                                         RAD_ALL.4324  
!   The parametrization schemes for each component within a cloud                  RAD_ALL.4325  
!   are set.                                                                       RAD_ALL.4326  
!                                                                                  RAD_ALL.4327  
! Method:                                                                          RAD_ALL.4328  
!   Straightforward.                                                               RAD_ALL.4329  
!                                                                                  RAD_ALL.4330  
! Current Owner of Code: J. M. Edwards                                             RAD_ALL.4331  
!                                                                                  RAD_ALL.4332  
! History:                                                                         RAD_ALL.4333  
!       Version         Date                    Comment                            RAD_ALL.4334  
!       4.0             27-07-95                Original Code                      RAD_ALL.4335  
!                                               (J. M. Edwards)                    RAD_ALL.4336  
!       4.4             15-09-97                Code to check the                  RAD_ALL.4337  
!                                               range of validity of               RAD_ALL.4338  
!                                               parametrizations                   RAD_ALL.4339  
!                                               added.                             RAD_ALL.4340  
!                                               (J. M. Edwards)                    RAD_ALL.4341  
!                                                                                  RAD_ALL.4342  
! Description of Code:                                                             RAD_ALL.4343  
!   FORTRAN 77  with extensions listed in documentation.                           RAD_ALL.4344  
!                                                                                  RAD_ALL.4345  
!- ---------------------------------------------------------------------           RAD_ALL.4346  
      SUBROUTINE R2_SET_CLOUD_PARAMETRIZATION(IERR, N_BAND                         RAD_ALL.4347  
     &   , I_ST_WATER, I_CNV_WATER, I_ST_ICE, I_CNV_ICE                            RAD_ALL.4348  
     &   , L_DROP_TYPE, I_DROP_PARAMETRIZATION, DROP_PARAMETER_LIST                RAD_ALL.4349  
     &   , DROP_PARM_MIN_DIM, DROP_PARM_MAX_DIM                                    RAD_ALL.4350  
     &   , L_ICE_TYPE, I_ICE_PARAMETRIZATION, ICE_PARAMETER_LIST                   RAD_ALL.4351  
     &   , ICE_PARM_MIN_DIM, ICE_PARM_MAX_DIM                                      RAD_ALL.4352  
     &   , I_CONDENSED_PARAM, CONDENSED_PARAM_LIST                                 RAD_ALL.4353  
     &   , CONDENSED_MIN_DIM, CONDENSED_MAX_DIM                                    RAD_ALL.4354  
     &   , NPD_BAND, NPD_DROP_TYPE, NPD_ICE_TYPE, NPD_CLOUD_PARAMETER              RAD_ALL.4355  
     &   )                                                                         RAD_ALL.4356  
!                                                                                  RAD_ALL.4357  
!                                                                                  RAD_ALL.4358  
!                                                                                  RAD_ALL.4359  
      IMPLICIT NONE                                                                RAD_ALL.4360  
!                                                                                  RAD_ALL.4361  
!                                                                                  RAD_ALL.4362  
!     COMDECKS INCLUDED.                                                           RAD_ALL.4363  
!     ------------------------------------------------------------------           DIMFIX3A.2     
!     COMDECK FOR TWO-STREAM RADIATION CODE.                                       DIMFIX3A.3     
!                                                                                  DIMFIX3A.4     
!     MODULE TO SET INTERNAL DIMENSIONS TIED TO ALGORITHMS,                        DIMFIX3A.5     
!     MOSTLY FOR CLOUDS.                                                           DIMFIX3A.6     
!                                                                                  DIMFIX3A.7     
      INTEGER                                                                      DIMFIX3A.8     
     &     NPD_CLOUD_COMPONENT                                                     DIMFIX3A.9     
!             NUMBER OF COMPONENTS OF CLOUDS                                       DIMFIX3A.10    
     &   , NPD_CLOUD_TYPE                                                          DIMFIX3A.11    
!             NUMBER OF PERMITTED TYPES OF CLOUDS.                                 DIMFIX3A.12    
     &   , NPD_CLOUD_REPRESENTATION                                                DIMFIX3A.13    
!             NUMBER OF PERMITTED REPRESENTATIONS OF CLOUDS.                       DIMFIX3A.14    
     &   , NPD_OVERLAP_COEFF                                                       DIMFIX3A.15    
!             NUMBER OF OVERLAP COEFFICIENTS FOR CLOUDS                            DIMFIX3A.16    
     &   , NPD_SOURCE_COEFF                                                        DIMFIX3A.17    
!             NUMBER OF COEFFICIENTS FOR TWO-STREAM SOURCES                        DIMFIX3A.18    
     &   , NPD_REGION                                                              DIMFIX3A.19    
!             NUMBER OF REGIONS IN A LAYER                                         DIMFIX3A.20    
!                                                                                  DIMFIX3A.21    
      PARAMETER(                                                                   DIMFIX3A.22    
     &     NPD_CLOUD_COMPONENT=4                                                   DIMFIX3A.23    
     &   , NPD_CLOUD_TYPE=4                                                        DIMFIX3A.24    
     &   , NPD_CLOUD_REPRESENTATION=4                                              DIMFIX3A.25    
     &   , NPD_OVERLAP_COEFF=18                                                    DIMFIX3A.26    
     &   , NPD_SOURCE_COEFF=2                                                      DIMFIX3A.27    
     &   , NPD_REGION=3                                                            DIMFIX3A.28    
     &   )                                                                         DIMFIX3A.29    
!                                                                                  DIMFIX3A.30    
!     ------------------------------------------------------------------           DIMFIX3A.31    
!     ------------------------------------------------------------------           CLDCMP3A.2     
!     COMDECK FOR TWO-STREAM RADIATION CODE.                                       CLDCMP3A.3     
!                                                                                  CLDCMP3A.4     
!     MODULE TO SET COMPONENTS OF CLOUDS.                                          CLDCMP3A.5     
!                                                                                  CLDCMP3A.6     
      INTEGER                                                                      CLDCMP3A.7     
     &     IP_CLCMP_ST_WATER                                                       CLDCMP3A.8     
!             STRATIFORM WATER DROPLETS                                            CLDCMP3A.9     
     &   , IP_CLCMP_ST_ICE                                                         CLDCMP3A.10    
!             STRATIFORM ICE CRYSTALS                                              CLDCMP3A.11    
     &   , IP_CLCMP_CNV_WATER                                                      CLDCMP3A.12    
!             CONVECTIVE WATER DROPLETS                                            CLDCMP3A.13    
     &   , IP_CLCMP_CNV_ICE                                                        CLDCMP3A.14    
!             CONVECTIVE ICE CRYSTALS                                              CLDCMP3A.15    
!                                                                                  CLDCMP3A.16    
      PARAMETER(                                                                   CLDCMP3A.17    
     &     IP_CLCMP_ST_WATER=1                                                     CLDCMP3A.18    
     &   , IP_CLCMP_ST_ICE=2                                                       CLDCMP3A.19    
     &   , IP_CLCMP_CNV_WATER=3                                                    CLDCMP3A.20    
     &   , IP_CLCMP_CNV_ICE=4                                                      CLDCMP3A.21    
     &   )                                                                         CLDCMP3A.22    
!                                                                                  CLDCMP3A.23    
!     ------------------------------------------------------------------           CLDCMP3A.24    
!     ------------------------------------------------------------------           STDIO3A.2     
!     COMDECK FOR TWO-STREAM RADIATION CODE.                                       STDIO3A.3     
!                                                                                  STDIO3A.4     
!     MODULE TO SET UNIT NUMBERS FOR STANDARD I/O.                                 STDIO3A.5     
!                                                                                  STDIO3A.6     
      INTEGER                                                                      STDIO3A.7     
     &     IU_STDIN                                                                STDIO3A.8     
!             UNIT NUMBER FOR STANDARD INPUT                                       STDIO3A.9     
     &   , IU_STDOUT                                                               STDIO3A.10    
!             UNIT NUMBER FOR STANDARD OUTPUT                                      STDIO3A.11    
     *   , IU_ERR                                                                  STDIO3A.12    
!             UNIT NUMBER FOR ERROR MESSAGES                                       STDIO3A.13    
!                                                                                  STDIO3A.14    
      PARAMETER(                                                                   STDIO3A.15    
     &     IU_STDIN=5                                                              STDIO3A.16    
     &   , IU_STDOUT=6                                                             STDIO3A.17    
     *   , IU_ERR=6                                                                STDIO3A.18    
     &   )                                                                         STDIO3A.19    
!                                                                                  STDIO3A.20    
!     ------------------------------------------------------------------           STDIO3A.21    
!     ------------------------------------------------------------------           ERROR3A.2     
!     COMDECK FOR TWO-STREAM RADIATION CODE.                                       ERROR3A.3     
!                                                                                  ERROR3A.4     
!     MODULE TO SET ERROR FLAGS IN THE RADIATION CODE.                             ERROR3A.5     
!                                                                                  ERROR3A.6     
      INTEGER                                                                      ERROR3A.7     
     &     I_NORMAL                                                                ERROR3A.8     
!             ERROR FREE CONDITION                                                 ERROR3A.9     
     &   , I_ERR_FATAL                                                             ERROR3A.10    
!             FATAL ERROR: IMMEDIATE RETURN                                        ERROR3A.11    
     &   , I_ABORT_CALCULATION                                                     ERROR3A.12    
!             CALCULATION ABORTED                                                  ERROR3A.13    
     &   , I_MISSING_DATA                                                          ERROR3A.14    
!             MISSING DATA ERROR: CONDITIONAL                                      ERROR3A.15    
     &   , I_ERR_IO                                                                ERROR3A.16    
!             I/O ERROR                                                            ERROR3A.17    
     &   , I_ERR_RANGE                                                             ERROR3A.18    
!             INTERPOLATION RANGE ERROR                                            ERROR3A.19    
     &   , I_ERR_EXIST                                                             ERROR3A.20    
!             EXISTENCE ERROR                                                      ERROR3A.21    
!                                                                                  ERROR3A.22    
      PARAMETER(                                                                   ERROR3A.23    
     &     I_NORMAL=0                                                              ERROR3A.24    
     &   , I_ERR_FATAL=1                                                           ERROR3A.25    
     &   , I_ABORT_CALCULATION=2                                                   ERROR3A.26    
     &   , I_MISSING_DATA=3                                                        ERROR3A.27    
     &   , I_ERR_IO=4                                                              ERROR3A.28    
     &   , I_ERR_RANGE=5                                                           ERROR3A.29    
     &   , I_ERR_EXIST=6                                                           ERROR3A.30    
     &   )                                                                         ERROR3A.31    
!                                                                                  ERROR3A.32    
!     ------------------------------------------------------------------           ERROR3A.33    
!                                                                                  RAD_ALL.4368  
!                                                                                  RAD_ALL.4369  
!     DUMMY ARGUMENTS:                                                             RAD_ALL.4370  
!                                                                                  RAD_ALL.4371  
      INTEGER   !, INTENT(OUT)                                                     RAD_ALL.4372  
     &     IERR                                                                    RAD_ALL.4373  
!             ERROR FLAG                                                           RAD_ALL.4374  
!                                                                                  RAD_ALL.4375  
!     SIZES OF ARRAYS:                                                             RAD_ALL.4376  
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.4377  
     &     NPD_BAND                                                                RAD_ALL.4378  
!             MAXIMUM NUMBER OF SPECTRAL BANDS                                     RAD_ALL.4379  
     &   , NPD_DROP_TYPE                                                           RAD_ALL.4380  
!             MAXIMUM NUMBER OF TYPES OF DROPLETS                                  RAD_ALL.4381  
     &   , NPD_ICE_TYPE                                                            RAD_ALL.4382  
!             MAXIMUM NUMBER OF TYPES OF ICE CRYSTALS                              RAD_ALL.4383  
     &   , NPD_CLOUD_PARAMETER                                                     RAD_ALL.4384  
!             MAXIMUM NUMBER OF PARAMETERS FOR CLOUDS                              RAD_ALL.4385  
!                                                                                  RAD_ALL.4386  
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.4387  
     &     N_BAND                                                                  RAD_ALL.4388  
!             NUMBER OF SPECTRAL BANDS                                             RAD_ALL.4389  
!                                                                                  RAD_ALL.4390  
!     TYPES OF DROPLETS AND CRYSTALS:                                              RAD_ALL.4391  
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.4392  
     &     I_ST_WATER                                                              RAD_ALL.4393  
!             TYPE OF WATER DROPLETS IN STRATIFORM CLOUDS                          RAD_ALL.4394  
     &   , I_CNV_WATER                                                             RAD_ALL.4395  
!             TYPE OF WATER DROPLETS IN CONVECTIVE CLOUDS                          RAD_ALL.4396  
     &   , I_ST_ICE                                                                RAD_ALL.4397  
!             TYPE OF ICE CRYSTALS IN STRATIFORM CLOUDS                            RAD_ALL.4398  
     &   , I_CNV_ICE                                                               RAD_ALL.4399  
!             TYPE OF ICE CRYSTALS IN CONVECTIVE CLOUDS                            RAD_ALL.4400  
!                                                                                  RAD_ALL.4401  
      LOGICAL   !, INTENT(IN)                                                      RAD_ALL.4402  
     &     L_DROP_TYPE(NPD_DROP_TYPE)                                              RAD_ALL.4403  
!             FLAGS FOR TYPES OF DROPLET PRESENT                                   RAD_ALL.4404  
     &   , L_ICE_TYPE(NPD_ICE_TYPE)                                                RAD_ALL.4405  
!             FLAGS FOR TYPES OF ICE CRYSTAL PRESENT                               RAD_ALL.4406  
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.4407  
     &     I_DROP_PARAMETRIZATION(NPD_DROP_TYPE)                                   RAD_ALL.4408  
!             PARAMETRIZATIONS OF TYPES OF DROPLETS                                RAD_ALL.4409  
     &   , I_ICE_PARAMETRIZATION(NPD_ICE_TYPE)                                     RAD_ALL.4410  
!             PARAMETRIZATIONS OF TYPES OF ICE CRYSTALS                            RAD_ALL.4411  
      REAL      !, INTENT(IN)                                                      RAD_ALL.4412  
     &     DROP_PARAMETER_LIST(NPD_CLOUD_PARAMETER                                 RAD_ALL.4413  
     &        , NPD_BAND, NPD_DROP_TYPE)                                           RAD_ALL.4414  
!             PARAMETERS FOR OPTICAL PARAMETRIZATIONS OF DROPLETS                  RAD_ALL.4415  
     &   , DROP_PARM_MIN_DIM(NPD_DROP_TYPE)                                        RAD_ALL.4416  
!             MINIMUM SIZE OF DROPLETS PERMITTED IN PARAMETRIZATIONS               RAD_ALL.4417  
     &   , DROP_PARM_MAX_DIM(NPD_DROP_TYPE)                                        RAD_ALL.4418  
!             MAXIMUM SIZE OF DROPLETS PERMITTED IN PARAMETRIZATIONS               RAD_ALL.4419  
     &   , ICE_PARAMETER_LIST(NPD_CLOUD_PARAMETER                                  RAD_ALL.4420  
     &        , NPD_BAND, NPD_ICE_TYPE)                                            RAD_ALL.4421  
!             PARAMETERS FOR OPTICAL PARAMETRIZATIONS OF ICE CRYSTALS              RAD_ALL.4422  
     &   , ICE_PARM_MIN_DIM(NPD_ICE_TYPE)                                          RAD_ALL.4423  
!             MINIMUM SIZE OF ICE CRYSTALS PERMITTED IN PARAMETRIZATIONS           RAD_ALL.4424  
     &   , ICE_PARM_MAX_DIM(NPD_ICE_TYPE)                                          RAD_ALL.4425  
!             MAXIMUM SIZE OF ICE CRYSTALS PERMITTED IN PARAMETRIZATIONS           RAD_ALL.4426  
!                                                                                  RAD_ALL.4427  
      INTEGER   !, INTENT(OUT)                                                     RAD_ALL.4428  
     &     I_CONDENSED_PARAM(NPD_CLOUD_COMPONENT)                                  RAD_ALL.4429  
!             TYPES OF PARAMETRIZATION USED FOR CONDENSED                          RAD_ALL.4430  
!             COMPONENTS IN CLOUDS                                                 RAD_ALL.4431  
      REAL      !, INTENT(OUT)                                                     RAD_ALL.4432  
     &     CONDENSED_PARAM_LIST(NPD_CLOUD_PARAMETER                                RAD_ALL.4433  
     &        , NPD_CLOUD_COMPONENT, NPD_BAND)                                     RAD_ALL.4434  
!             COEFFICIENTS FOR PARAMETRIZATION OF CONDENSED PHASES                 RAD_ALL.4435  
     &   , CONDENSED_MIN_DIM(NPD_CLOUD_COMPONENT)                                  RAD_ALL.4436  
!             MINIMUM DIMENSION OF EACH CONDENSED COMPONENT                        RAD_ALL.4437  
     &   , CONDENSED_MAX_DIM(NPD_CLOUD_COMPONENT)                                  RAD_ALL.4438  
!             MAXIMUM DIMENSION OF EACH CONDENSED COMPONENT                        RAD_ALL.4439  
!                                                                                  RAD_ALL.4440  
!                                                                                  RAD_ALL.4441  
!     LOCAL VARIABLES:                                                             RAD_ALL.4442  
      INTEGER                                                                      RAD_ALL.4443  
     &     I                                                                       RAD_ALL.4444  
!             LOOP VARIABLE                                                        RAD_ALL.4445  
     &   , J                                                                       RAD_ALL.4446  
!             LOOP VARIABLE                                                        RAD_ALL.4447  
     &   , I_SCHEME                                                                RAD_ALL.4448  
!             PARAMETRIZATION SCHEME                                               RAD_ALL.4449  
!                                                                                  RAD_ALL.4450  
!     FUNCTIONS CALLED:                                                            RAD_ALL.4451  
      INTEGER                                                                      RAD_ALL.4452  
     &     SET_N_CLOUD_PARAMETER                                                   RAD_ALL.4453  
!             FUNCTION TO FIND NUMBER OF PARAMETERS FOR CLOUDS                     RAD_ALL.4454  
      EXTERNAL                                                                     RAD_ALL.4455  
     &     SET_N_CLOUD_PARAMETER                                                   RAD_ALL.4456  
!                                                                                  RAD_ALL.4457  
!                                                                                  RAD_ALL.4458  
!                                                                                  RAD_ALL.4459  
!     SELECT PARAMETRIZATION FOR WATER IN STRATIFORM CLOUDS:                       RAD_ALL.4460  
!                                                                                  RAD_ALL.4461  
      IF ( (I_ST_WATER.LE.NPD_DROP_TYPE).AND.                                      RAD_ALL.4462  
     &     (L_DROP_TYPE(I_ST_WATER)) ) THEN                                        RAD_ALL.4463  
         I_SCHEME=I_DROP_PARAMETRIZATION(I_ST_WATER)                               RAD_ALL.4464  
         I_CONDENSED_PARAM(IP_CLCMP_ST_WATER)=I_SCHEME                             RAD_ALL.4465  
         CONDENSED_MIN_DIM(IP_CLCMP_ST_WATER)                                      RAD_ALL.4466  
     &      =DROP_PARM_MIN_DIM(I_ST_WATER)                                         RAD_ALL.4467  
         CONDENSED_MAX_DIM(IP_CLCMP_ST_WATER)                                      RAD_ALL.4468  
     &      =DROP_PARM_MAX_DIM(I_ST_WATER)                                         RAD_ALL.4469  
      ELSE                                                                         RAD_ALL.4470  
         WRITE(IU_ERR, '(/A, /A)') '*** ERROR: NO DATA EXIST FOR TYPE '            RAD_ALL.4471  
     &      , 'OF DROPLET SELECTED IN STRATIFORM WATER CLOUDS.'                    RAD_ALL.4472  
         IERR=I_ERR_FATAL                                                          RAD_ALL.4473  
         RETURN                                                                    RAD_ALL.4474  
      ENDIF                                                                        RAD_ALL.4475  
!                                                                                  RAD_ALL.4476  
      DO I=1, N_BAND                                                               RAD_ALL.4477  
         DO J=1, SET_N_CLOUD_PARAMETER(I_SCHEME, IP_CLCMP_ST_WATER)                RAD_ALL.4478  
            CONDENSED_PARAM_LIST(J, IP_CLCMP_ST_WATER, I)                          RAD_ALL.4479  
     &         =DROP_PARAMETER_LIST(J, I, I_ST_WATER)                              RAD_ALL.4480  
         ENDDO                                                                     RAD_ALL.4481  
      ENDDO                                                                        RAD_ALL.4482  
!                                                                                  RAD_ALL.4483  
!                                                                                  RAD_ALL.4484  
!     SELECT PARAMETRIZATION FOR WATER IN CONVECTIVE CLOUDS:                       RAD_ALL.4485  
!                                                                                  RAD_ALL.4486  
      IF ( (I_CNV_WATER.LE.NPD_DROP_TYPE).AND.                                     RAD_ALL.4487  
     &     (L_DROP_TYPE(I_CNV_WATER)) ) THEN                                       RAD_ALL.4488  
         I_SCHEME=I_DROP_PARAMETRIZATION(I_CNV_WATER)                              RAD_ALL.4489  
         I_CONDENSED_PARAM(IP_CLCMP_CNV_WATER)=I_SCHEME                            RAD_ALL.4490  
         CONDENSED_MIN_DIM(IP_CLCMP_CNV_WATER)                                     RAD_ALL.4491  
     &      =DROP_PARM_MIN_DIM(I_CNV_WATER)                                        RAD_ALL.4492  
         CONDENSED_MAX_DIM(IP_CLCMP_CNV_WATER)                                     RAD_ALL.4493  
     &      =DROP_PARM_MAX_DIM(I_CNV_WATER)                                        RAD_ALL.4494  
      ELSE                                                                         RAD_ALL.4495  
         WRITE(IU_ERR, '(/A, /A)') '*** ERROR: NO DATA EXIST FOR TYPE '            RAD_ALL.4496  
     &      , 'OF DROPLET SELECTED IN CONVECTIVE WATER CLOUDS.'                    RAD_ALL.4497  
         IERR=I_ERR_FATAL                                                          RAD_ALL.4498  
         RETURN                                                                    RAD_ALL.4499  
      ENDIF                                                                        RAD_ALL.4500  
!                                                                                  RAD_ALL.4501  
      DO I=1, N_BAND                                                               RAD_ALL.4502  
         DO J=1, SET_N_CLOUD_PARAMETER(I_SCHEME, IP_CLCMP_CNV_WATER)               RAD_ALL.4503  
            CONDENSED_PARAM_LIST(J, IP_CLCMP_CNV_WATER, I)                         RAD_ALL.4504  
     &         =DROP_PARAMETER_LIST(J, I, I_CNV_WATER)                             RAD_ALL.4505  
         ENDDO                                                                     RAD_ALL.4506  
      ENDDO                                                                        RAD_ALL.4507  
!                                                                                  RAD_ALL.4508  
!                                                                                  RAD_ALL.4509  
!     SELECT PARAMETRIZATION FOR ICE IN STRATIFORM CLOUDS:                         RAD_ALL.4510  
!                                                                                  RAD_ALL.4511  
      IF ( (I_ST_ICE.LE.NPD_ICE_TYPE).AND.                                         RAD_ALL.4512  
     &     (L_ICE_TYPE(I_ST_ICE)) ) THEN                                           RAD_ALL.4513  
         I_SCHEME=I_ICE_PARAMETRIZATION(I_ST_ICE)                                  RAD_ALL.4514  
         I_CONDENSED_PARAM(IP_CLCMP_ST_ICE)=I_SCHEME                               RAD_ALL.4515  
         CONDENSED_MIN_DIM(IP_CLCMP_ST_ICE)                                        RAD_ALL.4516  
     &      =ICE_PARM_MIN_DIM(I_ST_ICE)                                            RAD_ALL.4517  
         CONDENSED_MAX_DIM(IP_CLCMP_ST_ICE)                                        RAD_ALL.4518  
     &      =ICE_PARM_MAX_DIM(I_ST_ICE)                                            RAD_ALL.4519  
      ELSE                                                                         RAD_ALL.4520  
         WRITE(IU_ERR, '(/A, /A)') '*** ERROR: NO DATA EXIST FOR TYPE '            RAD_ALL.4521  
     &      , 'OF DROPLET SELECTED IN STRATIFORM ICE CLOUDS.'                      RAD_ALL.4522  
         IERR=I_ERR_FATAL                                                          RAD_ALL.4523  
         RETURN                                                                    RAD_ALL.4524  
      ENDIF                                                                        RAD_ALL.4525  
!                                                                                  RAD_ALL.4526  
      DO I=1, N_BAND                                                               RAD_ALL.4527  
         DO J=1, SET_N_CLOUD_PARAMETER(I_SCHEME, IP_CLCMP_ST_ICE)                  RAD_ALL.4528  
            CONDENSED_PARAM_LIST(J, IP_CLCMP_ST_ICE, I)                            RAD_ALL.4529  
     &         =ICE_PARAMETER_LIST(J, I, I_ST_ICE)                                 RAD_ALL.4530  
         ENDDO                                                                     RAD_ALL.4531  
      ENDDO                                                                        RAD_ALL.4532  
!                                                                                  RAD_ALL.4533  
!                                                                                  RAD_ALL.4534  
!     SELECT PARAMETRIZATION FOR ICE IN CONVECTIVE CLOUDS:                         RAD_ALL.4535  
!                                                                                  RAD_ALL.4536  
      IF ( (I_CNV_ICE.LE.NPD_ICE_TYPE).AND.                                        RAD_ALL.4537  
     &     (L_ICE_TYPE(I_CNV_ICE)) ) THEN                                          RAD_ALL.4538  
         I_SCHEME=I_ICE_PARAMETRIZATION(I_CNV_ICE)                                 RAD_ALL.4539  
         I_CONDENSED_PARAM(IP_CLCMP_CNV_ICE)=I_SCHEME                              RAD_ALL.4540  
         CONDENSED_MIN_DIM(IP_CLCMP_CNV_ICE)                                       RAD_ALL.4541  
     &      =ICE_PARM_MIN_DIM(I_CNV_ICE)                                           RAD_ALL.4542  
         CONDENSED_MAX_DIM(IP_CLCMP_CNV_ICE)                                       RAD_ALL.4543  
     &      =ICE_PARM_MAX_DIM(I_CNV_ICE)                                           RAD_ALL.4544  
      ELSE                                                                         RAD_ALL.4545  
         WRITE(IU_ERR, '(/A, /A)') '*** ERROR: NO DATA EXIST FOR TYPE '            RAD_ALL.4546  
     &      , 'OF DROPLET SELECTED IN CONVECTIVE ICE CLOUDS.'                      RAD_ALL.4547  
         IERR=I_ERR_FATAL                                                          RAD_ALL.4548  
         RETURN                                                                    RAD_ALL.4549  
      ENDIF                                                                        RAD_ALL.4550  
!                                                                                  RAD_ALL.4551  
      DO I=1, N_BAND                                                               RAD_ALL.4552  
         DO J=1, SET_N_CLOUD_PARAMETER(I_SCHEME, IP_CLCMP_CNV_ICE)                 RAD_ALL.4553  
            CONDENSED_PARAM_LIST(J, IP_CLCMP_CNV_ICE, I)                           RAD_ALL.4554  
     &         =ICE_PARAMETER_LIST(J, I, I_CNV_ICE)                                RAD_ALL.4555  
         ENDDO                                                                     RAD_ALL.4556  
      ENDDO                                                                        RAD_ALL.4557  
!                                                                                  RAD_ALL.4558  
!                                                                                  RAD_ALL.4559  
!                                                                                  RAD_ALL.4560  
      RETURN                                                                       RAD_ALL.4561  
      END   
